summaryrefslogtreecommitdiffstats
path: root/source/l/sdl
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/sdl')
-rw-r--r--source/l/sdl/SDL_ttf.shaded.text.diff11
-rwxr-xr-xsource/l/sdl/sdl.SlackBuild11
2 files changed, 17 insertions, 5 deletions
diff --git a/source/l/sdl/SDL_ttf.shaded.text.diff b/source/l/sdl/SDL_ttf.shaded.text.diff
new file mode 100644
index 000000000..549a60a48
--- /dev/null
+++ b/source/l/sdl/SDL_ttf.shaded.text.diff
@@ -0,0 +1,11 @@
+--- ./SDL_ttf.c.orig 2012-01-14 22:44:08.000000000 -0600
++++ ./SDL_ttf.c 2016-06-08 11:59:50.163770281 -0500
+@@ -1747,7 +1747,7 @@
+ /* Copy the character from the pixmap */
+ src = glyph->pixmap.buffer;
+ dst = (Uint8*) textbuf->pixels;
+- for ( row = 0; row < glyph->bitmap.rows; ++row ) {
++ for ( row = 0; row < glyph->pixmap.rows; ++row ) {
+ memcpy( dst, src, glyph->pixmap.width );
+ src += glyph->pixmap.pitch;
+ dst += textbuf->pitch;
diff --git a/source/l/sdl/sdl.SlackBuild b/source/l/sdl/sdl.SlackBuild
index 70c203a27..80466266f 100755
--- a/source/l/sdl/sdl.SlackBuild
+++ b/source/l/sdl/sdl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,12 +26,12 @@ MIXER=${MIXER:-$(echo SDL_mixer-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d -
NET=${NET:-$(echo SDL_net-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
TTF=${TTF:-$(echo SDL_ttf-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -40,8 +40,8 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -219,6 +219,7 @@ tar xf $CWD/SDL_ttf-$TTF.tar.?z* || exit 1
cd SDL_ttf-$TTF
#zcat $CWD/SDL_ttf-2.0.8-noftinternals.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/SDL_ttf.shaded.text.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \